%define tarball xf86-input-vmmouse
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/input

%define cvsdate xxxxxxx

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	Xorg X11 vmmouse input driver
Name:      	xorg-x11-drv-vmmouse
Version:   	12.4.3
Release:   	1
URL:       	http://www.x.org
License:   	MIT/X11
Group:     	User Interface/X Hardware Support
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0:   	ftp://ftp.x.org/pub/individual/driver/%{tarball}-%{version}.tar.bz2

# NOTE: We build the "vmware" driver on ia64, however the vmmouse driver
# fails during attempts to build it on ia64 saying it is for x86 only.
ExclusiveArch: 	%{ix86} x86_64

BuildRequires: 	pkg-config
BuildRequires: 	xorg-x11-server-sdk

Requires: 	xorg-x11-server-Xorg

%description 
X.Org X11 vmmouse input driver.

%prep
%setup -q -n %{tarball}-%{version}

%build
%configure --disable-static
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{moduledir}
%dir %{driverdir}
%{driverdir}/vmmouse_drv.so
#%dir %{_mandir}/man4x
%{_mandir}/man4/vmmouse.4*

%changelog
* Sun Oct 07 2007 Karsten Brockmann <arcam@ccux-linux.de> 12.4.3-1
- Version update
* Tue Sep 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 12.4.2-1
- Version update
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 12.4.1-2
- rebuilt against X.org 7.3
* Fri Jun 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 12.4.1-1
- version update
* Sun Sep 17 2006 Christian Metzen <metzench@ccux-linux.de> 12.4.0-1
- Initial release
